Bug 487639 - Review Request: armstrong - Powerful music sequencing library *** RENAMED PACKAGE ***
Review Request: armstrong - Powerful music sequencing library *** RENAMED PAC...
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Mamoru TASAKA
Fedora Extras Quality Assurance
:
Depends On: 487637
Blocks:
  Show dependency treegraph
 
Reported: 2009-02-27 02:36 EST by Orcan Ogetbil
Modified: 2009-03-18 15:09 EDT (History)
3 users (show)

See Also:
Fixed In Version: 0.2.6-4.fc10
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-03-05 19:27:33 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
mtasaka: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)
Patch to compile ppc64 (572 bytes, patch)
2009-03-04 10:39 EST, Mamoru TASAKA
no flags Details | Diff

  None (edit)
Description Orcan Ogetbil 2009-02-27 02:36:27 EST
Spec URL: http://oget.fedorapeople.org/review/armstrong.spec
SRPM URL: http://oget.fedorapeople.org/review/armstrong-0.2.6-1.fc10.src.rpm
Description:
If you are searching for a foundation for your next soundtracker, armstrong is
what you want. armstrong provides an extensible DSP plugin system, a wavetable,
instruments, a multitrack sequencer and support for major soundcard APIs.
armstrong includes zzub and lunar libraries.

Rpmlint:
There are bunch of 
   W: devel-file-in-non-devel-package
warnings. But these files are really needed during runtime. I know it is weird.

If you want to test these libraries you can try aldrin:
   http://oget.fedorapeople.org/aldrin/
There will be sample files inside 
   /usr/share/aldrin/demosongs/
aldrin is an accepted package but I didn't update it because it requires armstrong-0.2.6.
Comment 1 Orcan Ogetbil 2009-02-27 02:39:23 EST
This package obsoletes/provides libzzub since the upstream changed their name to armstrong. I'm adding Mamoru to CC since he was the original reviewer.
Comment 2 Orcan Ogetbil 2009-02-27 17:18:23 EST
Package updated due to a change in the rtaudio package.

Spec URL: http://oget.fedorapeople.org/review/armstrong.spec
SRPM URL: http://oget.fedorapeople.org/review/armstrong-0.2.6-2.fc10.src.rpm

Changelog: 0.2.6-2
- BR: rtaudio-static instead of rtaudio-devel
Comment 3 Mamoru TASAKA 2009-02-28 13:36:16 EST
PRE-review for 0.2.6-2 (yes, PRE-review...)

* About patch
  - Would you explain what the soname "libzzub.so.0.3" "liblunarstd.so.0"
    come from? 
    (anyway the soname "libzzub.so.0.3 is wrong, it should be "libzzub.so.0"
    or so)
  - Also, non-patched src/plugins/lunar/SConscript seems to be saying
    that liblunarstd.so is a plugin module, not a system-wide library.
    Are you sure that this file should really be system-wide library?

* License tag
  - License tag is inherited to all subpackages unless explicitly
    specified (try $ rpm -qi armstrong-devel or so. I think
    this should just be "GPLv2+")

* internal libraries
--------------------------------------------------------------------------
# Remove the binded libraries. We'll use the internal ones
--------------------------------------------------------------------------
  - You mean "external ones"?

* Document directories
--------------------------------------------------------------------------
%doc installed_docs/*
%{_defaultdocdir}/zzub
--------------------------------------------------------------------------
  - With this armstrong will own two directories for documents,
    %{_defaultdocdir}/{zzub,%{name}-%{version}}. I think
    this is confusing and these directories should be unified.
  - Also, anyway as this spec file has:
--------------------------------------------------------------------------
# We want to install docs to the proper location:
mkdir -p installed_docs
mv $RPM_BUILD_ROOT%{_docdir}/zzub/* installed_docs/
--------------------------------------------------------------------------
    Currently %_defaultdocdir/zzub is just empty.
Comment 4 Orcan Ogetbil 2009-02-28 15:09:11 EST
(In reply to comment #3)
> PRE-review for 0.2.6-2 (yes, PRE-review...)
> 

:) Thanks for the PRE-review 

> * About patch
>   - Would you explain what the soname "libzzub.so.0.3" "liblunarstd.so.0"
>     come from? 
>     (anyway the soname "libzzub.so.0.3 is wrong, it should be "libzzub.so.0"
>     or so)

If we use the original tarball with no patches, these libraries will be built with no sonames.
The soname "libzzub.so.0.3" comes from the old libzzub package. There the soname was set to "libzzub.so.0.2.3" . I changed this to "libzzub.so.0" now.

The soname "liblunarstd.so.0" is the soname I gave to this library. Otherwise rpmlint will complain that there is no soname.

>   - Also, non-patched src/plugins/lunar/SConscript seems to be saying
>     that liblunarstd.so is a plugin module, not a system-wide library.
>     Are you sure that this file should really be system-wide library?
> 

From my understanding this is a system-wide library. There are two systemwide libraries provided by armstrong. One is libzzub, the other is liblunarstd. The unpatched tarball has these two lines:
   In src/libzzub/SConscript :
      libzzub = localenv.SharedLibrary('${LIB_BUILD_PATH}/zzub',files)
   In src/plugins/lunar/SConscript :
      lunarstd = lunarstdenv.SharedLibrary('${LIB_BUILD_PATH}/lunarstd', lunarstdfiles)[0]

That's why I believe that both are system-wide shared libraries. Note that there are plugin module .so files in
   /usr/lib64/lunar/
   /usr/lib64/zzub/

> * License tag
>   - License tag is inherited to all subpackages unless explicitly
>     specified (try $ rpm -qi armstrong-devel or so. I think
>     this should just be "GPLv2+")
> 

Changed the license tag of -devel and pyzzub packages to GPLv2+

> * internal libraries
> --------------------------------------------------------------------------
> # Remove the binded libraries. We'll use the internal ones
> --------------------------------------------------------------------------
>   - You mean "external ones"?
> 

I meant "internal Fedora libraries". I agree that there is some ambiguity in my usage. I made this a little more clear on the SPEC file below..

> * Document directories
> --------------------------------------------------------------------------
> %doc installed_docs/*
> %{_defaultdocdir}/zzub
> --------------------------------------------------------------------------
>   - With this armstrong will own two directories for documents,
>     %{_defaultdocdir}/{zzub,%{name}-%{version}}. I think
>     this is confusing and these directories should be unified.
>   - Also, anyway as this spec file has:
> --------------------------------------------------------------------------
> # We want to install docs to the proper location:
> mkdir -p installed_docs
> mv $RPM_BUILD_ROOT%{_docdir}/zzub/* installed_docs/
> --------------------------------------------------------------------------
>     Currently %_defaultdocdir/zzub is just empty.

My bad. I changed the document directory structure when I was preparing the SPEC file. I forgot to remove the %_defaultdocdir/zzub entry. Now it's gone.


Spec URL: http://oget.fedorapeople.org/review/armstrong.spec
SRPM URL: http://oget.fedorapeople.org/review/armstrong-0.2.6-3.fc10.src.rpm

Changelog: 0.2.6-3
- License for -devel and pyzzub packages is GPLv2+
- Clarify system-wide library usage
- Fix sonames
- Don't package the empty directory %%_defaultdocdir/zzub
Comment 5 Orcan Ogetbil 2009-02-28 15:24:15 EST
Some more clarification: The unmodified tarball will install

   /usr/lib64/libzzub.so.0.3
   /usr/lib64/libzzub.so.0
   /usr/lib64/libzzub.so
   /usr/lib64/liblunarstd.so
   /usr/lib64/zzub/
   /usr/lib64/lunar/

No libraries have any sonames.

With my modification
   /usr/lib64/liblunarstd.so.0
will be installed in addition to the files and directories above. Also I put sonames on libraries
   /usr/lib64/libzzub.so.0
   /usr/lib64/liblunarstd.so.0

The plugin module directories 
   /usr/lib64/zzub/
   /usr/lib64/lunar/
remain untouched.
Comment 6 Mamoru TASAKA 2009-03-01 09:59:09 EST
Assigning to myself. I will try full review once the dependency rpms
are imported.
Comment 7 Mamoru TASAKA 2009-03-04 10:39:11 EST
Created attachment 334007 [details]
Patch to compile ppc64

One thing:
- Without the patch attached, this does not build on ppc64:
  http://koji.fedoraproject.org/koji/taskinfo?taskID=1217390
Comment 8 Mamoru TASAKA 2009-03-04 10:40:37 EST
Other things are okay

--------------------------------------------------------
    This package (armstrong) is APPROVED by mtasaka
--------------------------------------------------------
Comment 9 Orcan Ogetbil 2009-03-04 11:29:15 EST
Thank you for the review. I merged the patch to the existing size_t patch. Here is the new koji build:
   http://koji.fedoraproject.org/koji/taskinfo?taskID=1220706
I will now retire libzzub in F-10 and in devel.


New Package CVS Request
=======================
Package Name: armstrong
Short Description: Powerful music sequencing library
Owners: oget
Branches: F-10
InitialCC:
Comment 10 Orcan Ogetbil 2009-03-04 21:02:33 EST
Note that the directory src/rtaudio/include contains some microsoft proprietary code. I will remove this directory from the tarball that will go into the SRPM. Also, note that this rtaudio will not be compiled at all while building armstrong.
Comment 11 Kevin Fenzi 2009-03-05 15:17:51 EST
cvs done.
Comment 12 Fedora Update System 2009-03-05 19:25:39 EST
armstrong-0.2.6-4.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/armstrong-0.2.6-4.fc10
Comment 13 Orcan Ogetbil 2009-03-05 19:27:33 EST
Imported and built for F-10 and devel.
Comment 14 Fedora Update System 2009-03-18 15:09:22 EDT
armstrong-0.2.6-4.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.